package com.ruoyi.ibs.rules.domain.vo;


import com.ruoyi.ibs.rules.domain.entity.RelationRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("分配引擎规则")
public class RelationRuleVO {

    @ApiModelProperty("规则类型（1个人2企业3商户）")
    private String ruleType;

    @ApiModelProperty("规则类型（1年2半年3季度4月0手动）")
    private String updateCounts;

    @ApiModelProperty("规则列优先级）")
    private long level;

    @ApiModelProperty("规则批次id (新增的时候不需要传，修改的时候需传原ID)）")
    private String id;

    @ApiModelProperty("规则名）")
    private String name;

    @ApiModelProperty("参数）")
    private String param;

    @ApiModelProperty("归属机构）")
    private String deptId;

    @ApiModelProperty("规则编码")
    private String ruleNameId;

    @ApiModelProperty("地址来源")
    private String addSource;
    @ApiModelProperty("地址来源码值")
    private String addSourceId;

    public RelationRuleVO(RelationRule relationRule) {
        this.id = relationRule.getRuleId();
        this.ruleType = relationRule.getRuleType();
        this.updateCounts = relationRule.getUpdateCounts();
        this.level = relationRule.getRuleLevel();
        this.name = relationRule.getRuleName();
        this.param = relationRule.getParam();
        this.deptId = relationRule.getDeptId();
        this.ruleNameId = relationRule.getRuleNameId();
        this.addSource = relationRule.getAddSource();
        this.addSourceId= relationRule.getAddSourceId();
    }

}
